org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTNamespaceAlias

All Superinterfaces:
  IASTDeclaration, IASTNameOwner, IASTNode

    public interface ICPPASTNamespaceAlias
    extends IASTDeclaration, IASTNameOwner

This interface represents a namespace alias in C++, e.g. namespace ABC { int* x; } namespace DEF = ABC;

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `ALIAS_NAME` `ALIAS_NAME` represents the new namespace name being introduced.
`static ASTNodeProperty` `MAPPING_NAME` `MAPPING_NAME` represents the pre-existing namespace which the new symbol aliases.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTNamespaceAlias` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTNamespaceAlias` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTName` `getAlias()` Get the new alias name.
`IASTName` `getMappingName()` Get the mapping name.
`void` `setAlias(IASTName name)` Set the new alias name.
`void` `setMappingName(IASTName qualifiedName)` Set the mapping name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Field Detail

#### ALIAS_NAME

    static final ASTNodeProperty ALIAS_NAME

`ALIAS_NAME` represents the new namespace name being introduced.

#### MAPPING_NAME

    static final ASTNodeProperty MAPPING_NAME

`MAPPING_NAME` represents the pre-existing namespace which the new symbol aliases.

### Method Detail

#### getAlias

    IASTName getAlias()

Get the new alias name.

Returns:
  `IASTName`

#### setAlias

    void setAlias(IASTName name)

Set the new alias name.

Parameters:
  `name` - `IASTName`

#### getMappingName

    IASTName getMappingName()

Get the mapping name.

Returns:
  `IASTName`

#### setMappingName

    void setMappingName(IASTName qualifiedName)

Set the mapping name.

Parameters:
  `qualifiedName` - `IASTName`

#### copy

    ICPPASTNamespaceAlias copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

#### copy

    ICPPASTNamespaceAlias copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3